# $Revision: 1.11 $, $Date: 2008/05/25 02:08:20 $
%define 	modulename	pam_radius
Summary:	PAM module - authenticate using RADIUS server
Summary(pl.UTF-8):	Moduł PAM pozwalający na użycie serwera RADIUS do uwierzytelniania
Name:		pam-%{modulename}_auth
Version:	1.3.17
Release:	1
License:	GPL
Group:		Networking
Source0:	ftp://ftp.freeradius.org/pub/radius/%{modulename}-%{version}.tar.gz
# Source0-md5:	a5d27ccbaaad9d9fb254b01a3c12bd06
URL:		http://www.freeradius.org/pam_radius_auth/
BuildRequires:	pam-devel > 0.77.3-2
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the PAM to RADIUS authentication module. It allows any
PAM-capable machine to become a RADIUS client for authentication and
accounting requests. You will need a RADIUS server to perform the
actual authentication.

%description -l pl.UTF-8
To jest moduł do PAM służący uwierzytelnianiu użytkowników względem
serwera RADIUS. Pozwala każdej maszynie korzystającej z PAM zostać
klientem usługi RADIUS w celach uwierzytelniania użytkowników oraz
zbierania statystyk logowań (accounting). Do dokonania samego
uwierzytelnienia niezbędny jest serwer RADIUS.

%prep
%setup -q -n %{modulename}-%{version}

sed -i -e 's/ld -Bshareable/$(CC) -shared/' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}/security

install pam_radius_auth.so $RPM_BUILD_ROOT/%{_lib}/security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO USAGE INSTALL pam_radius_auth.conf
%attr(755,root,root) /%{_lib}/security/pam_radius_auth.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_radius_auth.spec,v $
Revision 1.11  2008/05/25 02:08:20  zbyniu
- up to 1.3.17

Revision 1.10  2007-02-13 07:16:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.8  2005/01/04 08:46:53  qboosh
- pam-static is not needed to build, pam-devel is sufficient

Revision 1.7  2005/01/04 08:45:38  qboosh
- fixed PAM module path, use optflags, use gcc to link module

Revision 1.6  2005/01/03 08:03:29  ankry
- cosmetics

Revision 1.5  2005/01/01 07:51:24  aredridel
- builds

Revision 1.4  2004/02/17 21:35:06  qboosh
- more unified flexion, cosmetics

Revision 1.3  2004/02/09 23:32:57  ankry
- unified flexion: none

Revision 1.2  2004/02/06 12:18:31  zagrodzki
- add .conf file to %%doc

Revision 1.1  2004/02/05 18:12:24  zagrodzki
- initial release
